com.aliyun.svideosdk.editor

## Interface AliyunICompose

- All Superinterfaces:
    AliyunIBaseCompose

  Deprecated.

      @Deprecated
      public interface AliyunICompose
      extends AliyunIBaseCompose

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `AliyunICompose.AliyunIUploadCallBack` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `cancelUpload()` Deprecated. 取消上传
    `int` | `init(Context context)` Deprecated. 初始化，必须最先被调用
    `void` | `pauseUpload()` Deprecated. 暂停上传
    `int` | `refreshSTSToken(java.lang.String accessKeyId, java.lang.String accessKeySecret, java.lang.String token, java.lang.String expiration)` Deprecated. 刷新sts token信息，当收到`AliyunICompose.AliyunIUploadCallBack.onSTSTokenExpired()`回调时，表示token失效了，此时需要开发者 重新获取有效的sts token信息，并且通过该接口刷新sts token信息，然后调用`resumeUpload()`继续上传
    `void` | `release()` Deprecated. 释放资源
    `void` | `resumeUpload()` Deprecated. 继续上传
    `void` | `setUploadRetryAndTimeout(int retryCount, int connectTimeoutMills, int readTimeoutMills)` Deprecated. 设置上传重试信息
    `int` | `uploadWithVideoAndImg(java.lang.String thumbnail, java.lang.String accessKeyId, java.lang.String accessKeySecret, java.lang.String token, java.lang.String expiration, SvideoInfo info, boolean istranscode, java.lang.String storageLocation, java.lang.String templateGroupId, AliyunICompose.AliyunIUploadCallBack callback)` Deprecated. 上传合成的视频以及封面图片，视频直接使用最后一次合成生成的视频，图片信息需要外部传入

    - ### Methods inherited from interface com.aliyun.svideosdk.editor.AliyunIBaseCompose

      `cancelCompose, compose, pauseCompose, resumeCompose, setRenderCallback`

- - ### Method Detail

    - #### init

          int init(Context context)

      Deprecated.
      初始化，必须最先被调用
      Specified by:
        `init` in interface `AliyunIBaseCompose`
      Parameters:
        `context` - 建议传入applicationContext
      Returns:
        `AliyunErrorCode.OK`——接口调用成功 `AliyunErrorCode.ERROR_COMPOSE_INIT_FAILED`-context为null

    - #### setUploadRetryAndTimeout

          void setUploadRetryAndTimeout(int retryCount,
                                        int connectTimeoutMills,
                                        int readTimeoutMills)

      Deprecated.
      设置上传重试信息
      Parameters:
        `retryCount` - 重试次数
        `connectTimeoutMills` - 重试链接超时时间 单位：ms
        `readTimeoutMills` - Socket超时时间 单位：ms

    - #### uploadWithVideoAndImg

          int uploadWithVideoAndImg(java.lang.String thumbnail,
                                    java.lang.String accessKeyId,
                                    java.lang.String accessKeySecret,
                                    java.lang.String token,
                                    java.lang.String expiration,
                                    SvideoInfo info,
                                    boolean istranscode,
                                    java.lang.String storageLocation,
                                    java.lang.String templateGroupId,
                                    AliyunICompose.AliyunIUploadCallBack callback)

      Deprecated.
      上传合成的视频以及封面图片，视频直接使用最后一次合成生成的视频，图片信息需要外部传入
      Parameters:
        `thumbnail` - 封面图片地址
        `accessKeyId` - sts信息中的临时accessKeyId
        `accessKeySecret` - sts信息中的临时accessKeySecret
        `token` - sts token中 token信息
        `expiration` - sts token中的 expiration信息
        `info` - 视频描述信息
        `istranscode` - 上传后视频是否要转码，true转码，false不转码
        `storageLocation` - 源站bucket
        `templateGroupId` - 转码模板
        `callback` - 上传回调
      Returns:
        `AliyunErrorCode.OK`——成功 `AliyunErrorCode.ERROR_COMPOSE_STATUS_ERROR`——失败，状态错误，未初始化/正在上传/正在合成 `AliyunErrorCode.ERROR_PARAM_INVALID_COMPOSE`——失败，thumbnail参数为空/accessKeyId参数为空/accessKeySecret参数为空/expiration参数为空
      See Also:
        `SvideoInfo`

    - #### refreshSTSToken

          int refreshSTSToken(java.lang.String accessKeyId,
                              java.lang.String accessKeySecret,
                              java.lang.String token,
                              java.lang.String expiration)

      Deprecated.
      刷新sts token信息，当收到`AliyunICompose.AliyunIUploadCallBack.onSTSTokenExpired()`回调时，表示token失效了，此时需要开发者 重新获取有效的sts token信息，并且通过该接口刷新sts token信息，然后调用`resumeUpload()`继续上传
      Parameters:
        `accessKeyId` - sts token中的accessKeyId
        `accessKeySecret` - sts token中的accessKeySecret
        `token` - sts token中的token
        `expiration` - sts token中的expiration
      Returns:
        `AliyunErrorCode.OK`-成功

    - #### cancelUpload

          int cancelUpload()

      Deprecated.
      取消上传
      Returns:
        `AliyunErrorCode.OK`——成功 `AliyunErrorCode.ERROR_COMPOSE_STATUS_ERROR`——失败，状态错误，当前并非正在上传

    - #### resumeUpload

          void resumeUpload()

      Deprecated.
      继续上传

    - #### pauseUpload

          void pauseUpload()

      Deprecated.
      暂停上传

    - #### release

          void release()

      Deprecated.
      释放资源
      Specified by:
        `release` in interface `AliyunIBaseCompose`